let
  fromEnv = var: def:
    let val = builtins.getEnv var; in
    if val != "" then val else def;
in rec {
  shell = "/tmp/nix/store/9jkjbkm89b7vmsz7kwlaac8ijrqk3hs0-bash-4.4-p23/bin/bash";
  coreutils = "/tmp/nix/store/2k61h23bzsmj7smys8xxwhiqb93illbg-coreutils-8.32/bin";
  bzip2 = "/tmp/nix/store/lrzf94ldc3jgby91xddwyjav4gllb18j-bzip2-1.0.6.0.2-bin/bin/bzip2";
  gzip = "/tmp/nix/store/0mgvnbnss8c8kyl69bvjjfbkn6k9mkyp-gzip-1.10/bin/gzip";
  xz = "/tmp/nix/store/rgdb0njmnhzpzxv5g46i0hpjfqzlgy3n-xz-5.2.5-bin/bin/xz";
  tar = "/tmp/nix/store/2w0h5ijdfdplin1xiya7isahqx43f69x-gnutar-1.34/bin/tar";
  tarFlags = "--warning=no-timestamp";
  tr = "/tmp/nix/store/2k61h23bzsmj7smys8xxwhiqb93illbg-coreutils-8.32/bin/tr";
  nixBinDir = fromEnv "NIX_BIN_DIR" "/tmp/nix/store/8b6www6bcf8m5f0dmx7sa9g0pp67g2lb-nix-2.3.12/bin";
  nixPrefix = "/tmp/nix/store/8b6www6bcf8m5f0dmx7sa9g0pp67g2lb-nix-2.3.12";
  nixLibexecDir = fromEnv "NIX_LIBEXEC_DIR" "/tmp/nix/store/8b6www6bcf8m5f0dmx7sa9g0pp67g2lb-nix-2.3.12/libexec";
  nixLocalstateDir = "/nix/var";
  nixSysconfDir = "/etc";
  nixStoreDir = fromEnv "NIX_STORE_DIR" "/nix/store";

  # If Nix is installed in the Nix store, then automatically add it as
  # a dependency to the core packages. This ensures that they work
  # properly in a chroot.
  chrootDeps =
    if dirOf nixPrefix == builtins.storeDir then
      [ (builtins.storePath nixPrefix) ]
    else
      [ ];
}
